[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#462433: marked as done (cupsys: Conflicts with poppler-utils)

Your message dated Mon, 25 Feb 2008 10:47:04 +0000
with message-id <E1JTarQ-0002tI-FY@ries.debian.org>
and subject line Bug#457810: fixed in cupsys 1.3.5-2
has caused the Debian Bug report #457810,
regarding cupsys: Conflicts with poppler-utils
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact owner@bugs.debian.org

457810: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=457810
Debian Bug Tracking System
Contact owner@bugs.debian.org with problems
--- Begin Message ---
Package: cupsys
Version: 1.3.5-1
Severity: important

The pdftops version included in poppler-utils does not support the
-cfg command line option.  This results in the printer being stopped
with the unhelpful message "/usr/lib/cups/backend/ipp failed".  Until
poppler-utils packages a more recent version of pdftops, cupsys should
not allow it to be intalled.


-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (900, 'testing'), (400, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux (SMP w/2 CPU cores)
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/bash

Versions of packages cupsys depends on:
ii  adduser               3.105              add and remove users and groups
ii  cupsys-common         1.3.5-1            Common UNIX Printing System(tm) - 
ii  debconf [debconf-2.0] 1.5.18             Debian configuration management sy
ii  gs-esp                8.15.3.dfsg.1-1    The Ghostscript PostScript interpr
ii  libavahi-compat-libdn 0.6.22-2           Avahi Apple Bonjour compatibility 
ii  libc6                 2.7-6              GNU C Library: Shared libraries
ii  libcupsimage2         1.3.5-1            Common UNIX Printing System(tm) - 
ii  libcupsys2            1.3.5-1            Common UNIX Printing System(tm) - 
ii  libdbus-1-3           1.1.2-1            simple interprocess messaging syst
ii  libgnutls13           2.0.4-1            the GNU TLS library - runtime libr
ii  libkrb53              1.6.dfsg.3~beta1-2 MIT Kerberos runtime libraries
ii  libldap2              2.1.30.dfsg-13.5   OpenLDAP libraries
ii  libpam0g             Pluggable Authentication Modules l
ii  libpaper1             1.1.23             library for handling paper charact
ii  libslp1               1.2.1-7.1          OpenSLP libraries
ii  lsb-base              3.1-24             Linux Standard Base 3.1 init scrip
ii  perl-modules          5.8.8-12           Core Perl modules
ii  poppler-utils [xpdf-u 0.6.2-1            PDF utilitites (based on libpopple
ii  procps                1:3.2.7-5          /proc file system utilities
ii  ssl-cert              1.0.14             Simple debconf wrapper for openssl

Versions of packages cupsys recommends:
pn  avahi-utils           <none>             (no description available)
ii  cupsys-client         1.3.5-1            Common UNIX Printing System(tm) - 
ii  foomatic-filters      3.0.2-20061031-1.2 linuxprinting.org printer support 
ii  smbclient             3.0.28-2           a LanManager-like simple client fo

-- debconf information:
  cupsys/raw-print: true
  cupsys/backend: ipp, lpd, parallel, scsi, serial, socket, usb, snmp, dnssd

--- End Message ---
--- Begin Message ---
Source: cupsys
Source-Version: 1.3.5-2

We believe that the bug you reported is fixed in the latest version of
cupsys, which is due to be installed in the Debian FTP archive:

  to pool/main/c/cupsys/cupsys-bsd_1.3.5-2_i386.deb
  to pool/main/c/cupsys/cupsys-client_1.3.5-2_i386.deb
  to pool/main/c/cupsys/cupsys-common_1.3.5-2_all.deb
  to pool/main/c/cupsys/cupsys-dbg_1.3.5-2_i386.deb
  to pool/main/c/cupsys/cupsys_1.3.5-2.diff.gz
  to pool/main/c/cupsys/cupsys_1.3.5-2.dsc
  to pool/main/c/cupsys/cupsys_1.3.5-2_i386.deb
  to pool/main/c/cupsys/libcupsimage2-dev_1.3.5-2_i386.deb
  to pool/main/c/cupsys/libcupsimage2_1.3.5-2_i386.deb
  to pool/main/c/cupsys/libcupsys2-dev_1.3.5-2_i386.deb
  to pool/main/c/cupsys/libcupsys2_1.3.5-2_i386.deb

A summary of the changes between this version and the previous one is

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 457810@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
Martin Pitt <mpitt@debian.org> (supplier of updated cupsys package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)

Hash: SHA1

Format: 1.7
Date: Mon, 25 Feb 2008 11:13:15 +0100
Source: cupsys
Binary: libcupsys2 libcupsimage2 cupsys cupsys-client libcupsys2-dev libcupsimage2-dev cupsys-bsd cupsys-common cupsys-dbg
Architecture: source all i386
Version: 1.3.5-2
Distribution: unstable
Urgency: low
Maintainer: Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>
Changed-By: Martin Pitt <mpitt@debian.org>
 cupsys     - Common UNIX Printing System(tm) - server
 cupsys-bsd - Common UNIX Printing System(tm) - BSD commands
 cupsys-client - Common UNIX Printing System(tm) - client programs (SysV)
 cupsys-common - Common UNIX Printing System(tm) - common files
 cupsys-dbg - Common UNIX Printing System(tm) - debugging symbols
 libcupsimage2 - Common UNIX Printing System(tm) - image libs
 libcupsimage2-dev - Common UNIX Printing System(tm) - image development files
 libcupsys2 - Common UNIX Printing System(tm) - libs
 libcupsys2-dev - Common UNIX Printing System(tm) - development files
Closes: 457810 459662 461331
 cupsys (1.3.5-2) unstable; urgency=low
   [ Martin Pitt ]
   * debian/cupsys.init.d: Add Should-Start: avahi. (Closes: #459662)
   [ Till Kamppeter ]
   * debian/patches/pdftops-cups-1.4.dpatch, debian/local/filters/pdftops:
     Replaced Helge Blischke's alternative pdftops wrapper by the pdftops
     of CUPS 1.4. The old pdftops wrapper did not work with the pdftops
     filter of Poppler, the new one works with the pdftops filters of both
     Poppler and XPDF (Closes: #457810; Ubuntu LP: #182379).
   * debian/patches/web-interface-breaks-default-auth-setting.dpatch: When
     modifying server settings with the CUPS web interface, the setting
     for the default authentication got overwritten with gibberish
     (Closes: #461331; CUPS STR #2703, Ubuntu LP: #188426).
   * debian/local/backends/dnssd: Updated dnssd to filter out IPv6 entries,
     as they clutter the lists of detected printers and make the network
     printer discovery process taking more time than needed. Applied also
     a bug fix and the possibility of querying one IP address by calling
     the dnssd backend with the IP as command line argument (like the
     snmp CUPS backend).
 029c15044c4aeaeddebc494d794534e2 1170 net optional cupsys_1.3.5-2.dsc
 fb8568dcd1e672483239e0ae34e0111a 109460 net optional cupsys_1.3.5-2.diff.gz
 9f332572cfd2db045bc178849d7d5ce5 1125482 net optional cupsys-common_1.3.5-2_all.deb
 5ca96f7036524b08272918e1e4650f7c 164700 libs optional libcupsys2_1.3.5-2_i386.deb
 3161203e6c4112cd216e94ce75d2dce0 88470 libs optional libcupsimage2_1.3.5-2_i386.deb
 b6dba70d43f0973abd4be50997d8537d 2100246 net optional cupsys_1.3.5-2_i386.deb
 5bf8cbf1a47418a1fb1bff2e58c6b919 87208 net optional cupsys-client_1.3.5-2_i386.deb
 8f2f8aee454c6fcab4ae6342fa1255f9 141862 libdevel optional libcupsys2-dev_1.3.5-2_i386.deb
 8c7bc8e4f6db8814d03810a0a2133caf 58138 libdevel optional libcupsimage2-dev_1.3.5-2_i386.deb
 d8c594e3fbe0b0b9179ad95b4bffa2ae 36574 net extra cupsys-bsd_1.3.5-2_i386.deb
 571f4a52eb4c07956f04ab5416c3781d 1045896 libdevel extra cupsys-dbg_1.3.5-2_i386.deb

Version: GnuPG v1.4.6 (GNU/Linux)


--- End Message ---

Reply to: